#ifndef _fencer_debug_h
#define _fencer_debug_h

#include <stdio.h>

extern int g_debug_error_abort;

#define LOG_INFO(...) do {\
    printf("[%s:%d]  ", __FILE__, __LINE__);\
    printf("INFO | ");\
    printf(__VA_ARGS__);\
    printf("\n");\
    fflush(stdout);\
} while(0)

#define LOG_ERROR(...) do {\
    printf("[%s:%d]  ", __FILE__, __LINE__);\
    printf("ERROR | ");\
    printf(__VA_ARGS__);\
    printf("\n");\
    fflush(stdout);\
    if(g_debug_error_abort != 0) abort();\
} while(0)

#endif // !_fencer_debug_h
